-- migrate:up
CREATE TABLE endorse (
  id INT AUTO_INCREMENT PRIMARY KEY,
  endorse_sn VARCHAR(100) NOT NULL,
  endorse_sj VARCHAR(100) NOT NULL,
  sales_man VARCHAR(100) NOT NULL,
  customer_name VARCHAR(255) NOT NULL,
  address TEXT DEFAULT NULL,
  phone VARCHAR(20) DEFAULT NULL,
  kurir VARCHAR(100) DEFAULT NULL,
  keterangan TEXT DEFAULT NULL,
  brand ENUM('Wiselie', 'Bacuya') NOT NULL,
  status ENUM('Pending', 'Approved', 'Shipped', 'Completed') NOT NULL DEFAULT 'Pending',
  warehouse_id INT NOT NULL,
  created_at TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
  Shipped_at TIMESTAMP DEFAULT NULL,
  updated_at TIMESTAMP DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
);

-- migrate:down
DROP TABLE IF EXISTS endorse;
